### Hierarchy

- unknown
  - CreateXmrTxReply

## Index

### Constructors

- constructor

### Methods

- clearTx
- getTx
- hasTx
- serializeBinary
- setTx
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CreateXmrTxReply(): CreateXmrTxReply

- Inherited from jspb.Message.constructor

  #### Returns CreateXmrTxReply

## Methods

### clearTx

- clearTx(): CreateXmrTxReply

- - Defined in src/protobuf/grpc_pb.d.ts:3263

  #### Returns CreateXmrTxReply

### getTx

- getTx(): undefined | XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3260

  #### Returns undefined | XmrTx

### hasTx

- hasTx(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3262

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3265

  #### Returns Uint8Array

### setTx

- setTx(value?: XmrTx ): CreateXmrTxReply

- - Defined in src/protobuf/grpc_pb.d.ts:3261

  #### Parameters

  - ##### Optional value: XmrTx

  #### Returns CreateXmrTxReply

### toObject

- toObject(includeInstance?: boolean): CreateXmrTxReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3266

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CreateXmrTxReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreateXmrTxReply

- - Defined in src/protobuf/grpc_pb.d.ts:3269

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreateXmrTxReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreateXmrTxReply, reader: BinaryReader): CreateXmrTxReply

- - Defined in src/protobuf/grpc_pb.d.ts:3270

  #### Parameters

  - ##### message: CreateXmrTxReply

  - ##### reader: BinaryReader

  #### Returns CreateXmrTxReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CreateXmrTxReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3268

  #### Parameters

  - ##### message: CreateXmrTxReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CreateXmrTxReply ): CreateXmrTxReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3267

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreateXmrTxReply

  #### Returns CreateXmrTxReply . AsObject

Generated using TypeDoc